//
//  {{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

import UIKit

final class {{ module_info.name }}ModuleConfigurator {

    // MARK: - Internal methods

    func configure() -> ({{ module_info.name }}ViewController, {{ module_info.name }}ModuleOutput) {
        let view = {{ module_info.name }}ViewController()
        let presenter = {{ module_info.name }}Presenter()

        presenter.view = view
        view.output = presenter

        return (view, presenter)
    }

}
